## ispell-uk 1.1

=== Makefile ===
dictdir=`aspell config dict-dir`
datadir=`aspell config data-dir`

VERSION=$(shell cat ./VERSION)

ISPELLDIR = /usr/lib/ispell
#MYSPELLDIR = /usr/share/dict/ooo
#MYSPELLDIR = /usr/share/myspell/dicts
MYSPELLDIR=`bin/find_myspell_dir.sh`

DIST = dist

ASPELL_DIST = $(DIST)/aspell-uk-$(VERSION)
ASPELL_DOC_DIR = /usr/share/doc/aspell-uk-$(VERSION)

ISPELL_DIST = $(DIST)/ispell-uk-$(VERSION)
ISPELL_DOC_DIR = /usr/share/doc/ispell-uk-$(VERSION)

MYSPELL_DIST = $(DIST)/myspell-uk-$(VERSION)
MYSPELL_DICT_LST = $(PREFIX)$(MYSPELLDIR)/dictionary.lst
MYSPELL_DOC_DIR = /usr/share/doc/ispell-uk_UA-$(VERSION)

#TODO: created this dirs only for particular target
$(shell mkdir -p $(ASPELL_DIST))
$(shell mkdir -p $(ISPELL_DIST))
$(shell mkdir -p $(MYSPELL_DIST))

KOI8U_SET = koi8-u-nl.cset
KOI8U_MAP = koi8-u-nl.cmap

wordlist_src = src/Dictionary/uk_words.lst
affixfile_src = src/Affix/uk_affix.dat

CLEANFILES = uk.rws uk.cwl uk.cwl.gz uk_words.lst uk_affix.dat *.bak uk.dat
CLEANFILES += uk.aff uk.dic tmp.header
CLEANFILES += ukrainian.aff ukrainian.hash uk_words.enc uk_words.enc.cnt uk_words.enc.stat ukrainian
CLEANFILES += aspell-uk-*.tgz myspell_uk_UA-*.zip ispell-uk-*.tgz
CLEANFILES += spell*.tgz

CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell*

iconv	= iconv

include encodings.inc

default:	aspell

all: 		aspell myspell ispell

install:	install-aspell

install-all:	install-aspell install-myspell install-ispell


#
# aspell rules
# 
aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
	cp -u uk.multi ukrainian.alias $(ASPELL_DIST)

aspell-tar:	$(DIST)/aspell-uk-$(VERSION).tgz

$(DIST)/aspell-uk-$(VERSION).tgz: aspell
	mkdir -p $(ASPELL_DIST)/doc $(ASPELL_DIST)/misc
	cp -u README Copyright $(ASPELL_DIST)
	cp -u README.uk COPYING.* TODO $(ASPELL_DIST)/doc
	cp -u src/aspell/aspell.net/misc/*.txt $(ASPELL_DIST)/misc
	tar cCvfz $(DIST) $@ aspell-uk-$(VERSION)

aspell-rpm:	srctar
	bin/make_rpm.sh aspell-uk $(VERSION)

install-aspell-dict: aspell
	install -m 0755 -d  $(PREFIX)$(datadir) $(PREFIX)$(dictdir)
	install -m 0644  $(ASPELL_DIST)/$(KOI8U_SET) $(ASPELL_DIST)/$(KOI8U_MAP) $(PREFIX)$(dictdir)
	install -m 0644  $(ASPELL_DIST)/uk.dat $(PREFIX)$(datadir)
	install -m 0644  $(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.multi $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd $(PREFIX)$(dictdir)

install-aspell: install-aspell-dict
	install -m 0755 -d  $(PREFIX)$(ASPELL_DOC_DIR)
	install -m 0644	README README.uk Copyright COPYING.* TODO $(PREFIX)$(ASPELL_DOC_DIR)

# dependecies for aspell
uk.cwl:		$(wordlist_src)
	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | word-list-compress c > uk.cwl

uk.cwl.gz:	uk.cwl
	gzip -9 < uk.cwl > uk.cwl.gz

$(ASPELL_DIST)/uk.rws:		$(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
	cp -u $(KOI8U_SET) $(KOI8U_MAP) $(ASPELL_DIST)
	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | \
	    aspell --local-data-dir=$(ASPELL_DIST) --lang=uk create master ./$@

$(ASPELL_DIST)/uk_affix.dat:	$(affixfile_src) encodings.inc
	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(affixfile_src) > $@

#$(ASPELL_DIST)/uk_words.lst:	$(wordlist_src) encodings.inc
#	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) > $@

$(ASPELL_DIST)/uk.dat:		uk.dat.templ encodings.inc
	sed "s/^data-encoding.*$$/data-encoding   $(ASPELL_ENC_NAME)/" < uk.dat.templ > $@

# *.kbd file should be always in UTF-8
$(ASPELL_DIST)/ukrainian.kbd:	ukrainian.kbd
	cp -u $< $@


#
# myspell rules
#
myspell: 	$(MYSPELL_DIST)/uk_UA.aff $(MYSPELL_DIST)/uk_UA.dic

install-myspell-dict:	myspell
	install -m 0755 -d  $(PREFIX)$(MYSPELLDIR)
	install -m 0644	$(MYSPELL_DIST)/uk_UA.aff $(MYSPELL_DIST)/uk_UA.dic $(PREFIX)$(MYSPELLDIR)

install-myspell:	install-myspell-dict
	install -m 0755 -d  $(PREFIX)$(MYSPELL_DOC_DIR)
	install -m 0644	src/myspell/README* $(PREFIX)$(MYSPELL_DOC_DIR)
	if [[ ! -f "$(MYSPELL_DICT_LST)" ]] || \
		! grep -q "^DICT[ \t]*uk[ \t]*UA[ \t]*uk_UA\$$" $(MYSPELL_DICT_LST); \
	then \
		echo "DICT uk UA uk_UA" >> $(MYSPELL_DICT_LST); \
	fi

myspell-zip:	$(DIST)/myspell-uk_UA-$(VERSION).zip

myspell-rpm:	srctar
	bin/make_rpm.sh myspell-uk $(VERSION)

$(DIST)/myspell-uk_UA-$(VERSION).zip: myspell
	rm -f $@
	zip -j $@ $(MYSPELL_DIST)/uk_UA.aff $(MYSPELL_DIST)/uk_UA.dic src/myspell/README*

# myspell dependencies
$(MYSPELL_DIST)/uk_UA.aff:	$(affixfile_src) src/myspell/myspell.header encodings.inc
	sed s/xxENCODINGxx/$(MYSPELL_ENC_NAME)/ < src/myspell/myspell.header > tmp.header
	cat tmp.header $(affixfile_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) > $@
	-rm tmp.header

$(MYSPELL_DIST)/uk_UA.dic:	$(wordlist_src) encodings.inc
	wc -l < $(wordlist_src) > $@
	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) >> $@


#
# ispell rules
#
ispell:		$(ISPELL_DIST)/ukrainian.aff $(ISPELL_DIST)/ukrainian.hash

install-ispell-dict:	ispell
	install -m 0755 -d $(PREFIX)$(ISPELLDIR)
	install -m 0644 $(ISPELL_DIST)/ukrainian.aff $(ISPELL_DIST)/ukrainian.hash $(PREFIX)$(ISPELLDIR)

install-ispell:		install-ispell-dict
	install -m 0755 -d  $(PREFIX)$(ISPELL_DOC_DIR)
	install -m 0644	src/ispell/README Copyright COPYING.* $(PREFIX)$(ISPELL_DOC_DIR)

ispell-tar:	$(DIST)/ispell-uk-$(VERSION).tgz

$(DIST)/ispell-uk-$(VERSION).tgz: ispell
	mkdir -p $(ISPELL_DIST)/doc
	cp -u src/ispell/README Copyright COPYING.* $(ISPELL_DIST)/doc
	tar cCvfz $(DIST) $@ --exclude='*.enc*' ispell-uk-$(VERSION)

ispell-rpm:	srctar
	bin/make_rpm.sh ispell-uk $(VERSION)

# dependencies for ispell
$(ISPELL_DIST)/ukrainian.aff:	$(affixfile_src) bin/affconv.pl src/ispell/ispell.header encodings.inc
	(cat src/ispell/ispell.header && perl bin/affconv.pl < $(affixfile_src)) | $(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) > $@

$(ISPELL_DIST)/uk_words.enc:	$(wordlist_src) encodings.inc
	$(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) < $(wordlist_src) > $@

$(ISPELL_DIST)/ukrainian.hash:	$(ISPELL_DIST)/uk_words.enc $(ISPELL_DIST)/ukrainian.aff
	buildhash $(ISPELL_DIST)/uk_words.enc $(ISPELL_DIST)/ukrainian.aff $(ISPELL_DIST)/ukrainian.hash

# wordlist rules
#
ukrainian:	$(wordlist_src) aspell
	# XXX need to sorth this somehow (and do nont use one more locale)
	iconv -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) |\
		aspell expand --encoding=$(ASPELL_ENC_NAME) \
		--local-data-dir=$(ASPELL_DIST) --lang=uk | \
		tr -s ' ' '\n' | sed '/^$$/d' > $@ 

install-wordlist: ukrainian
	install -m 0755 -d $(PREFIX)/usr/share/dict
	install -m 0644 ukrainian $(PREFIX)/usr/share/dict

# common rules
#
$(affixfile_src): affix-dir
$(wordlist_src): dictionary-dir

affix-dir:
	$(MAKE) -C src/Affix

dictionary-dir:
	$(MAKE) -C src/Dictionary

# regression test
#
regtest:	uk.rws uk_words.lst
	make -C test regtest

regtestroll:
	make -C test regtestroll


srctar: clean
	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=CVS --exclude=.cvsignore *
	mkdir -p $(DIST)/spell-uk-$(VERSION)
	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz spell-uk-$(VERSION)
	rm -rf $(DIST)/spell-uk-$(VERSION) 


# cleaning
#
clean:
	rm -f $(CLEANFILES)
	rm -rf $(CLEANDIRS)
	$(MAKE) -C src/Affix clean
	$(MAKE) -C src/Dictionary clean
	$(MAKE) -C test clean


.PHONY: all regtest regtestroll clean aspell myspell ispell 
.PHONY: install install-all install-aspell install-myspell install-myspell-dict install-ispell install-wordlist 
.PHONY: aspell-tar myspell-zip ispell-tar srctar affix-dir dictionary-dir

=== test/Makefile ===
include ../encodings.inc

LC_ALL	= LC_ALL=uk_UA.$(ASPELL_ENC)
sort	= $(LC_ALL) sort
spcr	= tr ' ' '\n'

CLEANFILES	= *.lst *.srt *.diff *.dups *.nodups
DISTCLEANFILES	= *.old


all: 	regtest-aspell


regtest:
	make -C ..
	cat ../uk_words.lst | $(LC_ALL) aspell expand -l uk --local-data-dir=../ > all_aspell.lst
	cat all_aspell.lst | $(spcr) | $(sort) > all_aspell.srt
	cat all_aspell.srt | uniq > all_aspell.srt.nodups
	cat all_aspell.srt | uniq -d -c > all_aspell.srt.dups
	-diff all_aspell.srt.nodups.old all_aspell.srt.nodups > all_aspell.srt.nodups.diff
	-diff all_aspell.srt.dups.old all_aspell.srt.dups > all_aspell.srt.dups.diff


regtestroll:
	mv -f all_aspell.srt.nodups all_aspell.srt.nodups.old
	mv -f all_aspell.srt.dups all_aspell.srt.dups.old

clean:
	rm -f $(CLEANFILES)


distclean:
	rm -f $(CLEANFILES) $(DISTCLEANFILES)


.PHONY: all regtest regtestroll clean clean_all

=== src/Affix/Makefile ===
include ../../encodings.inc
reverse_verbs = ../../bin/verb_reverse.pl


affixfile = uk_affix.dat
src_affixfiles = uk.aff.ADJ uk.aff.NOUN uk.aff.VERB uk.aff.VERB_REV uk.aff.PREFIX

CLEANFILES = $(affixfile) uk.aff.VERB_REV


all: $(affixfile)


$(affixfile): $(src_affixfiles)
	cat $(src_affixfiles) | sed 's/#.*$$//g; s/	/ /g; s/ \+/ /g; /^ *$$/d' > $@

uk.aff.VERB_REV: uk.aff.VERB
	$(reverse_verbs) < uk.aff.VERB > uk.aff.VERB_REV

clean:
	rm -f $(CLEANFILES) 


.PHONY: all clean

=== src/Dictionary/Makefile ===
include ../../encodings.inc
include dictionaries.mk.inc


spcr	   =	tr -s ' ' '\n'
LC_ALL	   =	LC_ALL=$(LOCALE)
sort	   =	$(LC_ALL) sort

dict	   = 	$(INDICT)
dictionary =	uk_words.lst

CLEANFILES =	uk_words.lst spaced.tmp *.old


all:	uk_words.lst


uk_words.lst: $(dict)
	cat $(SPACED) | $(LC_ALL) grep -vE "^[#[:space:]]" | $(spcr) > spaced.tmp
	cat $(NOTSPACED) spaced.tmp | $(sort) > $@
	rm -f spaced.tmp


sort:
	@for ff in $(SORTED) ; do \
	    (mv -f $$ff $$ff.old && \
	    $(sort) < $$ff.old | uniq > $$ff && \
	    rm -f $$ff.old) ; \
	done


clean:
	rm -f $(CLEANFILES)

.PHONY: clean all sort

## ispell-uk 1.4.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 
 VERSION=$(shell cat ./VERSION)
 
-ISPELLDIR = /usr/lib/ispell
+#ISPELLDIR = /usr/lib/ispell
+ISPELLDIR = $(shell ispell -d stupidd 2>&1 | sed "s/^[^/]*(\/.*\/)stupidd.*$/\1/")
 #MYSPELLDIR = /usr/share/dict/ooo
 #MYSPELLDIR = /usr/share/myspell/dicts
 MYSPELLDIR=`bin/find_myspell_dir.sh`
@@ -19,11 +20,15 @@
 MYSPELL_DIST = $(DIST)/myspell-uk-$(VERSION)
 MYSPELL_DICT_LST = $(PREFIX)$(MYSPELLDIR)/dictionary.lst
 MYSPELL_DOC_DIR = /usr/share/doc/ispell-uk_UA-$(VERSION)
+
+XPI_DIST = $(DIST)/mozilla-xpi-uk-$(VERSION)
+
 
 #TODO: created this dirs only for particular target
 $(shell mkdir -p $(ASPELL_DIST))
 $(shell mkdir -p $(ISPELL_DIST))
 $(shell mkdir -p $(MYSPELL_DIST))
+$(shell mkdir -p $(XPI_DIST)/dictionaries)
 
 KOI8U_SET = koi8-u-nl.cset
 KOI8U_MAP = koi8-u-nl.cmap
@@ -37,7 +42,7 @@
 CLEANFILES += aspell-uk-*.tgz myspell_uk_UA-*.zip ispell-uk-*.tgz
 CLEANFILES += spell*.tgz
 
-CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell*
+CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell* dist/*mozilla*
 
 iconv	= iconv
 
@@ -47,16 +52,28 @@
 
 all: 		aspell myspell ispell
 
+packages:	aspell-rpm ispell-rpm myspell-rpm myspell-zip mozilla-xpi
+
 install:	install-aspell
 
 install-all:	install-aspell install-myspell install-ispell
+
+.PHONY: words affixes
 
 
 #
 # aspell rules
 # 
-aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
+#aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
+aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
 	cp -u uk.multi ukrainian.alias $(ASPELL_DIST)
+
+affixes:
+	make -C src/Affix
+
+words:
+	make -C src/Dictionary
+
 
 aspell-tar:	$(DIST)/aspell-uk-$(VERSION).tgz
 
@@ -82,14 +99,15 @@
 
 # dependecies for aspell
 uk.cwl:		$(wordlist_src)
-	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | word-list-compress c > uk.cwl
+	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | LC_COLLATE=C sort | LC_COLLATE=C word-list-compress c > uk.cwl
+
 
 uk.cwl.gz:	uk.cwl
 	gzip -9 < uk.cwl > uk.cwl.gz
 
-$(ASPELL_DIST)/uk.rws:		$(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
+$(ASPELL_DIST)/uk.rws:	affixes words $(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
 	cp -u $(KOI8U_SET) $(KOI8U_MAP) $(ASPELL_DIST)
-	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | \
+	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) | \
 	    aspell --local-data-dir=$(ASPELL_DIST) --lang=uk create master ./$@
 
 $(ASPELL_DIST)/uk_affix.dat:	$(affixfile_src) encodings.inc
@@ -104,7 +122,6 @@
 # *.kbd file should be always in UTF-8
 $(ASPELL_DIST)/ukrainian.kbd:	ukrainian.kbd
 	cp -u $< $@
-
 
 #
 # myspell rules
@@ -143,6 +160,13 @@
 	wc -l < $(wordlist_src) > $@
 	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) >> $@
 
+mozilla-xpi:	myspell
+	cp $(MYSPELL_DIST)/uk_UA.aff $(XPI_DIST)/dictionaries/uk-UA.aff
+	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
+	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
+	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
+	cp src/mozilla/install* $(XPI_DIST)
+	cd $(XPI_DIST) && zip -r ukrainian_dictionary-$(VERSION)-fx+zm+tb.xpi * && cd ..
 
 #
 # ispell rules
@@ -169,7 +193,7 @@
 
 # dependencies for ispell
 $(ISPELL_DIST)/ukrainian.aff:	$(affixfile_src) bin/affconv.pl src/ispell/ispell.header encodings.inc
-	(cat src/ispell/ispell.header && perl bin/affconv.pl < $(affixfile_src)) | $(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) > $@
+	(cat src/ispell/ispell.header && grep -v "REP" $(affixfile_src) | perl bin/affconv.pl ) | $(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) > $@
 
 $(ISPELL_DIST)/uk_words.enc:	$(wordlist_src) encodings.inc
 	$(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) < $(wordlist_src) > $@
@@ -203,7 +227,7 @@
 
 # regression test
 #
-regtest:	uk.rws uk_words.lst
+regtest:	aspell $(wordlist_src)
 	make -C test regtest
 
 regtestroll:
@@ -211,7 +235,7 @@
 
 
 srctar: clean
-	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=CVS --exclude=.cvsignore *
+	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
 	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz spell-uk-$(VERSION)

=== test/Makefile ===
include ../encodings.inc

LC_ALL	= LC_ALL=uk_UA.$(SOURCE_ENC)
sort	= $(LC_ALL) sort
spcr	= tr ' ' '\n'

CLEANFILES	= *.lst *.srt *.diff *.dups *.nodups
DISTCLEANFILES	= *.old

wordlist_src = ../src/Dictionary/uk_words.lst
iconv	= iconv

VERSION=$(shell cat ../VERSION)
DIST = ../dist
ASPELL_DIST = $(DIST)/aspell-uk-$(VERSION)
ASPELL_DICT = $(shell pwd)/../dist/aspell-uk-$(VERSION)


all: 	regtest-aspell

#	cat $(wordlist_src) | $(LC_ALL) aspell expand -l uk --local-data-dir=../ > all_aspell.lst
all_aspell_lst:
	make -C ..
	cat $(wordlist_src) | aspell expand -l uk --local-data-dir=$(ASPELL_DIST) --encoding=$(SOURCE_ENC) > all_aspell.lst

regtest:	all_aspell_lst
	cat all_aspell.lst | $(spcr) | $(sort) > all_aspell.srt
	cat all_aspell.srt | uniq > all_aspell.srt.nodups
	cat all_aspell.srt | uniq -d -c > all_aspell.srt.dups
	-diff all_aspell.srt.nodups.old all_aspell.srt.nodups > all_aspell.srt.nodups.diff
	-diff all_aspell.srt.dups.old all_aspell.srt.dups > all_aspell.srt.dups.diff


regtestroll:
	-[ -f all_aspell.srt.nodups ] && mv -f all_aspell.srt.nodups all_aspell.srt.nodups.old
	-[ -f all_aspell.srt.dups ] && mv -f all_aspell.srt.dups all_aspell.srt.dups.old
	-[ -f Malyk.lst ] && mv -f Malyk.lst Malyk.lst.old
	-[ -f ZN.lst ] && mv -f ZN.lst ZN.lst.old

text:
	cat src_text/Malyk.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
	cat src_text/ZN.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst

text_regtest:	text
	-diff Malyk.lst.old Malyk.lst > Malyk.diff
	-diff ZN.lst.old ZN.lst > ZN.diff
	

reverse:	all_aspell.srt
	 iconv -f UTF-8 -t KOI8-U all_aspell.srt | LC_ALL=uk_UA.KOI8-U perl -ne 'print scalar reverse $$_;' | LANG=uk_UA.KOI8-U sort | LC_ALL=uk_UA.KOI8-U perl -ne 'print scalar reverse $$_;' | iconv -f KOI8-U -t UTF-8 > all_spell.reverse.lst


clean:
	rm -f $(CLEANFILES)


distclean:
	rm -f $(CLEANFILES) $(DISTCLEANFILES)


.PHONY: all regtest regtestroll clean clean_all all_spell_lst

=== src/Affix/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 affixfile = uk_affix.dat
-src_affixfiles = uk.aff.ADJ uk.aff.NOUN uk.aff.VERB uk.aff.VERB_REV uk.aff.PREFIX
+src_affixfiles = uk.aff.ADJ uk.aff.NOUN uk.aff.VERB uk.aff.VERB_REV uk.aff.PREFIX uk.REP
 
 CLEANFILES = $(affixfile) uk.aff.VERB_REV

## ispell-uk 1.5.0

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 all: 		aspell myspell ispell
 
-packages:	aspell-rpm ispell-rpm myspell-rpm myspell-zip mozilla-xpi
+packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi
 
 install:	install-aspell
 
@@ -68,6 +68,9 @@
 aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
 	cp -u uk.multi ukrainian.alias $(ASPELL_DIST)
 
+$(ASPELL_DIST)/uk_repl.dat:
+	cp -u uk_repl.dat $(ASPELL_DIST)
+
 affixes:
 	make -C src/Affix
 
@@ -82,7 +85,7 @@
 	cp -u README Copyright $(ASPELL_DIST)
 	cp -u README.uk COPYING.* TODO $(ASPELL_DIST)/doc
 	cp -u src/aspell/aspell.net/misc/*.txt $(ASPELL_DIST)/misc
-	tar cCvfz $(DIST) $@ aspell-uk-$(VERSION)
+	tar cCvfz $(DIST) --owner=root --group=root $@ aspell-uk-$(VERSION)
 
 aspell-rpm:	srctar
 	bin/make_rpm.sh aspell-uk $(VERSION)
@@ -122,6 +125,12 @@
 # *.kbd file should be always in UTF-8
 $(ASPELL_DIST)/ukrainian.kbd:	ukrainian.kbd
 	cp -u $< $@
+
+# official aspell.net package
+
+aspell.net:
+	wget ftp://ftp.gnu.org/gnu/aspell/aspell-lang-20040810.tar.bz2
+	aspell-lang-20040810/aspell-lang
 
 #
 # myspell rules
@@ -152,7 +161,7 @@
 
 # myspell dependencies
 $(MYSPELL_DIST)/uk_UA.aff:	$(affixfile_src) src/myspell/myspell.header encodings.inc
-	sed s/xxENCODINGxx/$(MYSPELL_ENC_NAME)/ < src/myspell/myspell.header > tmp.header
+	sed s/xxENCODINGxx/UTF-8/ < src/myspell/myspell.header > tmp.header
 	cat tmp.header $(affixfile_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) > $@
 	-rm tmp.header
 
@@ -186,7 +195,7 @@
 $(DIST)/ispell-uk-$(VERSION).tgz: ispell
 	mkdir -p $(ISPELL_DIST)/doc
 	cp -u src/ispell/README Copyright COPYING.* $(ISPELL_DIST)/doc
-	tar cCvfz $(DIST) $@ --exclude='*.enc*' ispell-uk-$(VERSION)
+	tar cCvfz $(DIST) --owner=root --group=root $@ --exclude='*.enc*' ispell-uk-$(VERSION)
 
 ispell-rpm:	srctar
 	bin/make_rpm.sh ispell-uk $(VERSION)
@@ -238,7 +247,7 @@
 	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
-	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz spell-uk-$(VERSION)
+	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz --owner=root --group=root spell-uk-$(VERSION)
 	rm -rf $(DIST)/spell-uk-$(VERSION)

=== test/Makefile ===
--- 
+++ 
@@ -36,14 +36,17 @@
 	-[ -f all_aspell.srt.dups ] && mv -f all_aspell.srt.dups all_aspell.srt.dups.old
 	-[ -f Malyk.lst ] && mv -f Malyk.lst Malyk.lst.old
 	-[ -f ZN.lst ] && mv -f ZN.lst ZN.lst.old
+	-[ -f KDE.lst ] && mv -f KDE.lst KDE.lst.old
 
 text:
 	cat src_text/Malyk.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
 	cat src_text/ZN.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst
+	cat src_text/KDE.po | sed "s/&//g" | sed "s/’/'/g" | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > KDE.lst
 
 text_regtest:	text
 	-diff Malyk.lst.old Malyk.lst > Malyk.diff
 	-diff ZN.lst.old ZN.lst > ZN.diff
+	-diff KDE.lst.old KDE.lst > KDE.diff
 	
 
 reverse:	all_aspell.srt

## ispell-uk 1.5.7

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,9 @@
 MYSPELL_DOC_DIR = /usr/share/doc/ispell-uk_UA-$(VERSION)
 
 XPI_DIST = $(DIST)/mozilla-xpi-uk-$(VERSION)
+OXT_DIST = $(DIST)/openoffice.org-uk-$(VERSION)
+
+UPDATE_VERSION=sed -r "s/@VERSION@/$(VERSION)/g"
 
 
 #TODO: created this dirs only for particular target
@@ -29,6 +32,7 @@
 $(shell mkdir -p $(ISPELL_DIST))
 $(shell mkdir -p $(MYSPELL_DIST))
 $(shell mkdir -p $(XPI_DIST)/dictionaries)
+$(shell mkdir -p $(OXT_DIST))
 
 KOI8U_SET = koi8-u-nl.cset
 KOI8U_MAP = koi8-u-nl.cmap
@@ -40,9 +44,9 @@
 CLEANFILES += uk.aff uk.dic tmp.header
 CLEANFILES += ukrainian.aff ukrainian.hash uk_words.enc uk_words.enc.cnt uk_words.enc.stat ukrainian
 CLEANFILES += aspell-uk-*.tgz myspell_uk_UA-*.zip ispell-uk-*.tgz
-CLEANFILES += spell*.tgz
-
-CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell* dist/*mozilla*
+CLEANFILES += spell*.tgz dist/*.oxt
+
+CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell* dist/*mozilla* dist/*office*
 
 iconv	= iconv
 
@@ -50,16 +54,13 @@
 
 default:	aspell
 
-all: 		aspell myspell ispell
-
-packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi
+all: 		aspell myspell
+
+packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi ooo
 
 install:	install-aspell
 
-install-all:	install-aspell install-myspell install-ispell
-
-.PHONY: words affixes
-
+install-all:	install-aspell install-myspell
 
 #
 # aspell rules
@@ -71,11 +72,11 @@
 $(ASPELL_DIST)/uk_repl.dat:
 	cp -u uk_repl.dat $(ASPELL_DIST)
 
-affixes:
-	make -C src/Affix
-
-words:
-	make -C src/Dictionary
+$(affixfile_src):
+	$(MAKE) -C src/Affix
+
+$(wordlist_src):
+	$(MAKE) -C src/Dictionary
 
 
 aspell-tar:	$(DIST)/aspell-uk-$(VERSION).tgz
@@ -108,7 +109,7 @@
 uk.cwl.gz:	uk.cwl
 	gzip -9 < uk.cwl > uk.cwl.gz
 
-$(ASPELL_DIST)/uk.rws:	affixes words $(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
+$(ASPELL_DIST)/uk.rws:	$(affixfile_src) $(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
 	cp -u $(KOI8U_SET) $(KOI8U_MAP) $(ASPELL_DIST)
 	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) | \
 	    aspell --local-data-dir=$(ASPELL_DIST) --lang=uk create master ./$@
@@ -174,8 +175,30 @@
 	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
 	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
 	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
-	cp src/mozilla/install* $(XPI_DIST)
-	cd $(XPI_DIST) && zip -r ukrainian_dictionary-$(VERSION)-fx+zm+tb.xpi * && cd ..
+	$(UPDATE_VERSION) < src/mozilla/install.js > $(XPI_DIST)/install.js
+	$(UPDATE_VERSION) < src/mozilla/install.rdf > $(XPI_DIST)/install.rdf
+	cd $(XPI_DIST) && zip -r ../ukrainian_dictionary-$(VERSION)-mozilla.xpi * && cd ..
+#	cp src/mozilla/install* $(XPI_DIST)
+
+ooo:	myspell
+	cp -r src/openoffice.org/* $(OXT_DIST)
+	$(UPDATE_VERSION) < src/openoffice.org/description.xml > $(OXT_DIST)/description.xml
+	cp $(MYSPELL_DIST)/uk_UA.aff $(OXT_DIST)/uk_UA/
+	cp $(MYSPELL_DIST)/uk_UA.dic $(OXT_DIST)/uk_UA/
+	cp src/myspell/README_uk_UA.txt $(OXT_DIST)/uk_UA/
+	cp src/thesaurus/th_uk_UA.dat $(OXT_DIST)/uk_UA/
+	bin/th_gen_idx.pl < src/thesaurus/th_uk_UA.dat > $(OXT_DIST)/uk_UA/th_uk_UA.idx
+	-rm *.oxt
+	cd $(OXT_DIST) && zip --exclude=\*CVS\* -r ../dict-uk_UA-$(VERSION).oxt * && cd ..
+
+# for myspell engine (Firefox <=2, Thunderbird <=2...)
+mozilla-xpi-old:	myspell
+	grep -v "IGNORE" $(MYSPELL_DIST)/uk_UA.aff | sed "s/$(MYSPELL_ENC_NAME)/KOI8-U/" | iconv -f $(MYSPELL_ENC) -t koi8-u > $(XPI_DIST)/dictionaries/uk-UA.aff
+	cat $(MYSPELL_DIST)/uk_UA.dic | iconv -f $(MYSPELL_ENC) -t koi8-u > $(XPI_DIST)/dictionaries/uk-UA.dic
+	cat src/mozilla/old/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
+	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
+	cp src/mozilla/old/install* $(XPI_DIST)
+	cd $(XPI_DIST) && zip -r ukrainian_dictionary-$(VERSION)-mozilla-old.xpi dictionaries install.* && cd ..
 
 #
 # ispell rules
@@ -237,14 +260,14 @@
 # regression test
 #
 regtest:	aspell $(wordlist_src)
-	make -C test regtest
+	$(MAKE) -C test regtest
 
 regtestroll:
-	make -C test regtestroll
+	$(MAKE) -C test regtestroll
 
 
 srctar: clean
-	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
+	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
 	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz --owner=root --group=root spell-uk-$(VERSION)

## ispell-uk 1.6.0

=== Makefile ===
--- 
+++ 
@@ -162,6 +162,7 @@
 
 # myspell dependencies
 $(MYSPELL_DIST)/uk_UA.aff:	$(affixfile_src) src/myspell/myspell.header encodings.inc
+	mkdir -p $(MYSPELL_DIST)
 	sed s/xxENCODINGxx/UTF-8/ < src/myspell/myspell.header > tmp.header
 	cat tmp.header $(affixfile_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) > $@
 	-rm tmp.header
@@ -171,6 +172,7 @@
 	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) >> $@
 
 mozilla-xpi:	myspell
+	mkdir -p $(XPI_DIST)/dictionaries
 	cp $(MYSPELL_DIST)/uk_UA.aff $(XPI_DIST)/dictionaries/uk-UA.aff
 	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
 	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
@@ -181,6 +183,7 @@
 #	cp src/mozilla/install* $(XPI_DIST)
 
 ooo:	myspell
+	mkdir -p $(OXT_DIST)
 	cp -r src/openoffice.org/* $(OXT_DIST)
 	$(UPDATE_VERSION) < src/openoffice.org/description.xml > $(OXT_DIST)/description.xml
 	cp $(MYSPELL_DIST)/uk_UA.aff $(OXT_DIST)/uk_UA/

=== src/Affix/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 affixfile = uk_affix.dat
-src_affixfiles = uk.aff.ADJ uk.aff.NOUN uk.aff.VERB uk.aff.VERB_REV uk.aff.PREFIX uk.REP
+src_affixfiles = uk.REP uk.aff.ADJ uk.aff.NOUN uk.aff.VERB uk.aff.VERB_REV uk.aff.PREFIX
 
 CLEANFILES = $(affixfile) uk.aff.VERB_REV

## ispell-uk 1.6.5

=== Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 $(shell mkdir -p $(XPI_DIST)/dictionaries)
 $(shell mkdir -p $(OXT_DIST))
 
-KOI8U_SET = koi8-u-nl.cset
-KOI8U_MAP = koi8-u-nl.cmap
+KOI8U_SET = src/aspell/koi8-u-nl.cset
+KOI8U_MAP = src/aspell/koi8-u-nl.cmap
 
 wordlist_src = src/Dictionary/uk_words.lst
 affixfile_src = src/Affix/uk_affix.dat
@@ -54,7 +54,7 @@
 
 default:	aspell
 
-all: 		aspell myspell
+all: 		aspell myspell mozilla-xpi ooo
 
 packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi ooo
 
@@ -66,11 +66,11 @@
 # aspell rules
 # 
 #aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
-aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
-	cp -u uk.multi ukrainian.alias $(ASPELL_DIST)
+aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat src/aspell/uk.multi src/aspell/ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
+	cp -u src/aspell/uk.multi src/aspell/ukrainian.alias $(ASPELL_DIST)
 
 $(ASPELL_DIST)/uk_repl.dat:
-	cp -u uk_repl.dat $(ASPELL_DIST)
+	cp -u src/aspell/uk_repl.dat $(ASPELL_DIST)
 
 $(affixfile_src):
 	$(MAKE) -C src/Affix
@@ -120,11 +120,11 @@
 #$(ASPELL_DIST)/uk_words.lst:	$(wordlist_src) encodings.inc
 #	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) > $@
 
-$(ASPELL_DIST)/uk.dat:		uk.dat.templ encodings.inc
-	sed "s/^data-encoding.*$$/data-encoding   $(ASPELL_ENC_NAME)/" < uk.dat.templ > $@
+$(ASPELL_DIST)/uk.dat:		src/aspell/uk.dat.templ encodings.inc
+	sed "s/^data-encoding.*$$/data-encoding   $(ASPELL_ENC_NAME)/" < src/aspell/uk.dat.templ > $@
 
 # *.kbd file should be always in UTF-8
-$(ASPELL_DIST)/ukrainian.kbd:	ukrainian.kbd
+$(ASPELL_DIST)/ukrainian.kbd:	src/aspell/ukrainian.kbd
 	cp -u $< $@
 
 # official aspell.net package
@@ -175,8 +175,9 @@
 	mkdir -p $(XPI_DIST)/dictionaries
 	cp $(MYSPELL_DIST)/uk_UA.aff $(XPI_DIST)/dictionaries/uk-UA.aff
 	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
-	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
-	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
+	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/README_uk_UA.txt
+	cp COPYING.LGPL $(XPI_DIST)/
+	cp src/mozilla/*.png $(XPI_DIST)/
 	$(UPDATE_VERSION) < src/mozilla/install.js > $(XPI_DIST)/install.js
 	$(UPDATE_VERSION) < src/mozilla/install.rdf > $(XPI_DIST)/install.rdf
 	cd $(XPI_DIST) && zip -r ../ukrainian_dictionary-$(VERSION)-mozilla.xpi * && cd ..
@@ -270,7 +271,7 @@
 
 
 srctar: clean
-	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
+	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* --exclude=tools *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
 	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz --owner=root --group=root spell-uk-$(VERSION)

=== test/Makefile ===
--- 
+++ 
@@ -14,7 +14,11 @@
 DIST = ../dist
 ASPELL_DIST = $(DIST)/aspell-uk-$(VERSION)
 ASPELL_DICT = $(shell pwd)/../dist/aspell-uk-$(VERSION)
+MYSPELL_DICT = $(shell pwd)/../dist/myspell-uk-$(VERSION)/uk_UA | grep "[а-яіїєґ]"
 
+
+LIST_CMD=LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT)
+#LIST_CMD=hunspell -l -d $(MYSPELL_DICT)
 
 all: 	regtest-aspell
 
@@ -37,16 +41,19 @@
 	-[ -f Malyk.lst ] && mv -f Malyk.lst Malyk.lst.old
 	-[ -f ZN.lst ] && mv -f ZN.lst ZN.lst.old
 	-[ -f KDE.lst ] && mv -f KDE.lst KDE.lst.old
+	-[ -f ukr_lit.lst ] && mv -f ukr_lit.lst ukr_lit.lst.old
 
 text:
-	cat src_text/Malyk.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
-	cat src_text/ZN.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst
-	cat src_text/KDE.po | sed "s/&//g" | sed "s/’/'/g" | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > KDE.lst
+	cat src_text/Malyk.txt | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
+	cat src_text/ZN.txt | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst
+	cat src_text/KDE.po | sed "s/&//g" | sed "s/’/'/g" | sed -r "s/\\[a-z]//g" | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > KDE.lst
+	cat src_text/ukr_lit.txt | sed "s/’/'/g" | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ukr_lit.lst
 
 text_regtest:	text
 	-diff Malyk.lst.old Malyk.lst > Malyk.diff
 	-diff ZN.lst.old ZN.lst > ZN.diff
 	-diff KDE.lst.old KDE.lst > KDE.diff
+	-diff ukr_lit.lst.old ukr_lit.lst > ukr_lit.diff
 	
 
 reverse:	all_aspell.srt

=== debian/changelog ===
ispell-uk (1.6.5-2) unstable; urgency=low

  * Raise {build-,}dependency on dictionaries-common{-dev,} to 1.11.2~.
  * Use auto-compat option for aspell-uk and do not create empty files
    (closes: #638740)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 21 Aug 2011 18:42:59 +0200

ispell-uk (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.2 — no changes required
  * Suggest libreoffice instead of openoffice.org for myspell-uk

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 12 Jun 2011 17:02:17 +0200

ispell-uk (1.6.0-2) unstable; urgency=low

  * Build-depend and depend (for iukrainian) on ispell (>= 3.3.02~).
  * Standards-version 3.9.1 — no changes required.
  * Use source format 3.0 (quilt).
  * Use qa.debian.org redirector in watch file and remove lintian overrides.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Mar 2011 18:34:05 +0200

ispell-uk (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 27 Aug 2009 12:52:05 +0200

ispell-uk (1.5.7-3) unstable; urgency=low

  * Install myspell dictionary under /usr/share/hunspell and
    add compat symlinks (closes: #541917)
  * Standards-Version 3.8.3 - no changes required
  * Update debian/watch

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Aug 2009 02:06:32 +0200

ispell-uk (1.5.7-2) unstable; urgency=low

  * Add Vcs-{Git,Browser} fields into debian/control
  * Install myspell dictionary as uk_UA.{aff,dic} and add symlinks
    uk.{aff,dic}. This fixes problem with newer OO.o (closes: #517780)
  * Remove all references to aspell-ukr from debian/control
  * Do not conflict with ancient version of openoffice.org

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 02 Mar 2009 15:57:59 +0100

ispell-uk (1.5.7-1) unstable; urgency=low

  * New upstream release
  * Use debhelper version 7
  * Add homepage filed to debian/control
  * Update debian/copyright
  * Make build-dependancy on locales versioned to avoid FTBFS with only
    locales-all installed
  * Override lintian warning debian-watch-file-should-use-sf-redirector

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 15 Feb 2009 23:18:50 +0100

ispell-uk (1.5.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.0 - no changes required
  * Add debian/watch
  * Do not call build-{arch,indep} rules from binary-{arch,indep} directly
    in debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 24 Sep 2008 18:10:29 +0200

ispell-uk (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Use debhelper 6

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 21 Jan 2008 14:09:57 +0100

ispell-uk (1.4.9-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.7.3 - no changes required
  * Remove build-dependency on perl - it was not really needed
  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 06 Jan 2008 18:12:26 +0100

ispell-uk (1.4.0-3) unstable; urgency=low

  * Build-depend on perl; this should fix FTBFS on m68k

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 04 Dec 2007 15:59:00 +0100

ispell-uk (1.4.0-2) unstable; urgency=low

  * Use $(MAKE) for calling make in the upstream Makefile
  * Fix dependencies in the upstream Makefile, this should fix parallel build.
    Thanks to Daniel Schepler for testing this
  * Do not ignore $(MAKE) clean error. Thanks to lintian

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 03 Dec 2007 15:17:26 +0100

ispell-uk (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 01 Jun 2007 00:34:13 +0200

ispell-uk (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Do not build transitional package aspell-ukr anymore
  * Use UTF-8 for wordlist and aspell dictionary

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Thu, 12 Apr 2007 22:31:52 +0200

ispell-uk (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * Standards-Version 3.7.2, no additional changes required

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 12 Feb 2007 11:23:07 +0100

ispell-uk (1.1-1) unstable; urgency=low

  * New upstream release.
  * Add aspell-uk binary package that Conflicts: and Replaces: old
  aspell-ukr package (also closes: #324496).
  * Add aspell-ukr transitional package that depends on aspell-uk.
  * Use debhelper compatibility level 5.

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed,  9 Nov 2005 16:27:47 +0200

ispell-uk (0.7+cvs20040610-2) unstable; urgency=low

  * Standards version 2.6.2.
  * Use @debian.org address in the Maintainer field.
  * Fix spelling of some words (derivatives of 'ґрунт').
  * Set locale to 'C' in debian/rules.

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  2 Jul 2005 18:35:57 +0300

ispell-uk (0.7+cvs20040610-1) unstable; urgency=low

  * Initial Release (Closes: #254053).

 -- Eugeniy Meshcheryakov <eugen@univ.kiev.ua>  Sat, 10 Jul 2004 19:58:40 +0300

=== debian/control ===
Source: ispell-uk
Section: text
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 7.0.0), dictionaries-common-dev (>= 1.11.2~), ispell (>= 3.3.02~), aspell (>= 0.60.3-3), locales (>> 2)
Standards-Version: 3.9.2
Homepage: http://ispell-uk.sourceforge.net
Vcs-Git: git://git.debian.org/collab-maint/ispell-uk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ispell-uk.git

Package: iukrainian
Architecture: any
Depends: dictionaries-common (>= 1.11.2~), ispell (>= 3.3.02~), ${misc:Depends}
Suggests: wukrainian
Provides: ispell-dictionary
Description: Ukrainian dictionary for ispell
 This is a Ukrainian dictionary, to be used with the ispell program.

Package: wukrainian
Architecture: all
Depends: dictionaries-common (>= 1.11.2~), ${misc:Depends}
Provides: wordlist
Description: Ukrainian dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/ukrainian
 containing a list of Ukrainian words.  This list can be used by
 spelling checkers, and by programs such as look(1).

Package: myspell-uk
Architecture: all
Depends: dictionaries-common (>= 1.11.2~), ${misc:Depends}
Provides: myspell-dictionary, myspell-dictionary-uk
Suggests: libreoffice
Description: Ukrainian dictionary for myspell
 This is the Ukrainian dictionary for use with the myspell
 spellchecker which is currently used within OpenOffice.org and the
 mozilla spellchecker.

Package: aspell-uk
Architecture: all
Depends: aspell (>= 0.60.3-3), dictionaries-common (>= 1.11.2~), ${misc:Depends}
Provides: aspell-dictionary
Description: Ukrainian dictionary for GNU Aspell
 This package contains all the required files to add support for the
 Ukrainian language to the GNU Aspell spell checker.

=== debian/watch ===
version=3
http://sf.net/ispell-uk/spell-uk-(.*)\.tgz
